ConnectTool(3U)

NAME
ConnectTool - tool for connecting connectors

SYNOPSIS
#include <Unidraw/Tools/connect.h>

DESCRIPTION
ConnectTool lets the user establish a connection between two connectors by direct manipulation.

PUBLIC OPERATIONS

ConnectTool(ControlInfo* = nil)
    Create a new ConnectTool.

virtual Manipulator* CreateManipulator(

Viewer*, Event&, Transformer*

)

virtual void InterpretManipulator(Manipulator*)
    CreateManipulator detects whether the user clicked on a connector. If so, it delegates manipulator creation to that connector, and InterpretManipulator in turn delegates interpretation to the same connector. CreateManipulator clears the editor's selection and returns a nil value if the user did not click on a connector.

SEE ALSO
Connector(3U), Tool(3U)